#!/bin/bash
echo "creating directories"
mkdir -p /data/ppp/chatscripts
mkdir -p /data/ppp/peers
mkdir -p /etc/ppp/chatscripts
mkdir -p /etc/ppp/peers
echo "creating script file : /data/ppp/chatscripts/quectel-chat-connect"
echo "
ABORT \"BUSY\"
ABORT \"NO CARRIER\"
ABORT \"NO DIALTONE\"
ABORT \"ERROR\"
ABORT \"NO ANSWER\"
TIMEOUT 30
\"\" AT
OK ATE0
OK ATI;+CSUB;+CSQ;+COPS?;+CGREG?;&D2
# Insert the APN provided by your network operator, default apn is $1
OK AT+CGDCONT=1,\"IP\",\"\T\",,0,0
OK ATDT*99***1#
CONNECT" > /data/ppp/chatscripts/quectel-chat-connect
cp /data/ppp/chatscripts/quectel-chat-connect /etc/ppp/chatscripts/quectel-chat-connect
echo "creating script file : /data/ppp/chatscripts/quectel-chat-disconnect"
echo "
ABORT \"ERROR\"
ABORT \"NO DIALTONE\"
SAY \"\nSending break to the modem\n\"
""  +++
""  +++
""  +++
SAY \"\nGoodbay\n\"" > /data/ppp/chatscripts/quectel-chat-disconnect
cp /data/ppp/chatscripts/quectel-chat-disconnect /etc/ppp/chatscripts/quectel-chat-disconnect
echo "creating script file : /data/ppp/peers/gprs"
echo "
/dev/$2 115200
# The chat script, customize your APN in this file
connect 'chat -s -v -f /data/ppp/chatscripts/quectel-chat-connect -T $1'
# The close script
disconnect 'chat -s -v -f /data/ppp/chatscripts/quectel-chat-disconnect'
" > /data/ppp/peers/gprs
cp  /data/ppp/peers/gprs  /etc/ppp/peers/gprs
echo "creating script file : /data/ppp/options"
echo "
# Hide password in debug messages
hide-password
# The phone is not required to authenticate
noauth
# Debug info from pppd
debug
# If you want to use the HSDPA link as your gateway
defaultroute
# pppd must not propose any IP address to the peer
noipdefault
# No ppp compression
novj
novjccomp
noccp
ipcp-accept-local
ipcp-accept-remote
local
# For sanity, keep a lock on the serial line
lock
modem
dump
nodetach
# Hardware flow control
nocrtscts
remotename 3gppp
ipparam 3gppp
ipcp-max-failure 30
# Ask the peer for up to 2 DNS server addresses
usepeerdns" > /data/ppp/options
cp  /data/ppp/options  /etc/ppp/options
